import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { DatasetListingModel } from '../../../../core/model/dataset/dataset-listing';
import { Router } from '@angular/router';

@Component({
	selector: 'app-dataset-listing-item-component',
	templateUrl: './dataset-listing-item.component.html',
	styleUrls: ['./dataset-listing-item.component.scss']
})
export class DatasetListingItemComponent implements OnInit {

	@Input() dataset: DatasetListingModel;
	@Input() showDivider: boolean = true;
	@Output() onClick: EventEmitter<DatasetListingModel> = new EventEmitter();

	isDraft: boolean;

	constructor(private router: Router) { }

	ngOnInit() {
		if (this.dataset.status == 0) { this.isDraft = true }
		else { this.isDraft = false }
	}

	itemClicked() {
		this.onClick.emit(this.dataset);
	}

	projectClicked(dataset: DatasetListingModel) {
		this.router.navigate(['/projects/edit/' + dataset.projectId]);
	}

	datasetClicked(dataset: DatasetListingModel) {
		this.router.navigate(['/plans/edit/' + dataset.dmpId])
	}

}
