import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProjectEditorComponent } from './editor/project-editor.component';
import { ProjectListingComponent } from './listing/project-listing.component';

const routes: Routes = [
	{
		path: '',
		component: ProjectListingComponent,
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'edit/:id',
		component: ProjectEditorComponent,
		data: {
			breadcrumb: true
		}
	},
	{
		path: 'new',
		component: ProjectEditorComponent,
		data: {
			breadcrumb: true
		},
	}
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule]
})
export class ProjectRoutingModule { }